﻿using UnityEngine;
using System.Collections;

public class ToggleInit : MonoBehaviour {

	// At Start
	void Start () {

		// Retrieve the attached UIToggle
		UIToggle toggle = GetComponent<UIToggle>();

		// If there's an unchecked UIToggle...
		if(toggle != null && !toggle.value)
		{
			// ...Retrieve the tween to play
			UIPlayTween tweenToPlay = GetComponent<UIPlayTween>();

			// If there's a tween to play...
			if(tweenToPlay != null)
			{
				// ...Play it now
				tweenToPlay.Play(true);
			}
		}
	}
}
