﻿using UnityEngine;
using System.Collections;

public class EventTester : MonoBehaviour {

	void OnHover(bool state)
	{
		Debug.Log(this.name + " Hover: " + state);
	}
	
	void OnPress(bool state)
	{
		Debug.Log(this.name + " Pressed: " + state);
	}
	
	void OnClick()
	{
		Debug.Log(this.name + " Clicked");
	}
	
	void OnDrag(Vector2 delta)
	{
		Debug.Log(this.name + " Drag: " + delta);
	}
	
	void OnDrop(GameObject droppedObject)
	{
		Debug.Log(droppedObject.name + " dropped on " + this.name);
	}
	
	void OnSelect(bool state)
	{
		Debug.Log(this.name + " Selected: " + state);
	}
	
	void OnTooltip(bool state)
	{
		Debug.Log("Show " + this.name + "'s Tooltip: " + state);
	}
	
	void OnScroll(float delta)
	{
		Debug.Log("Scroll of " + delta + " on " + this.name);
	}
}
